Relesys API Docs

v1

https://api.relesysapp.net/api/v1

Content

Create Content
POST /contentmodules/{moduleId}/content
https://api.relesysapp.net/api/v1/contentmodules/{moduleId}/content
Create a content post in a module with moduleId if the model is valid.

startDate and endDate should be provided in the following format: "yyyy-MM-ddTHH:mm:ss".

bodyText in locales must be provided using Markdown syntax.
For more information on permissions, notifications and Markdown syntax visit their respective concept pages.
Scopes: relesys.api, relesys.api:write, relesys.api.content, relesys.api.content:write
URL Path
moduleId string / guid The module's unique identifier required
Request Body
application/json
object
  categoryId string / guid optional
  endDate string optional
  endDateTimeZone string optional
  locales array[object] required
   bodyText string optional
   culture string optional
   title string optional
  mediaIds array[string / guid] optional
  name string Max length: 128 required
  notifications object optional
   forceInstantPush boolean optional
   sendNotification boolean optional
   sendPushNotification boolean optional
  permissions array[object] required
   departments array[string / guid] required
   requireAllUserGroups boolean optional
   userGroups array[string / guid] required
  publishOnCreate boolean optional
  startDate string required
  startDateTimeZone string optional
Responses
application/json
JSON
{"data":{"id":"42bbb201-2ed0-4c3e-88d9-78a4ccc5a116","url":null,"userId":"bb5c03e2-4466-44ef-b099-d9c9e26ae089","userUrl":null,"categoryId":"ec580275-9e66-42ef-85c0-1648a36de605","categoryUrl":null,"sortOrder":1,"status":"Published","creationDateTime":"2026-05-14T15:47:53.4622191+00:00","lastModifiedDateTime":"2026-05-15T11:47:53.4622191+00:00","availableFrom":"2026-05-15T15:47:53","startDateTimeZone":null,"availableUntil":"2026-05-16T15:47:53","endDateTimeZone":null,"medias":[{"id":"69e6ec31-a48d-42b8-9068-270827778a3d","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"image.png"},{"id":"b0975ec2-c480-4e49-a908-d1fcba14d6f1","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"video.mp4"}],"featureMediaId":null,"featureMediaDownloadUrl":null,"mentions":[{"type":"User","name":"User name example","id":"83eb55b8-8685-40d6-8e72-c0525397918a","url":null},{"type":"Department","name":"Department name example","id":"bb74b5a1-9007-4afb-a411-955251022ad8","url":null},{"type":"User group","name":"User group name example","id":"47f8d887-2526-40c1-91eb-77481be94158","url":null}],"locales":[{"culture":"en-GB","title":"Example title 1","bodyText":"<p>Example body text 1</p>"}],"permissions":[{"departments":[{"url":null,"name":"Department name example","id":"5a3806bd-3e06-41c9-ba48-16c032794952"}],"userGroups":[{"url":null,"name":"User group name example","id":"c273edef-28be-45f5-9477-5562da7f7db8"}],"requireAllUserGroups":false}]}}
object
  data object      
   availableFrom string      
   availableUntil string      
   categoryId string / guid      
   categoryUrl string      
   creationDateTime datetimeoffset      
   endDateTimeZone string      
   featureMediaDownloadUrl string      
   featureMediaId string / guid      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   locales array[object]      
    bodyText string      
    culture string      
    title string      
   medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   permissions array[object]      
    departments array[object]      
     id string / guid      
     name string      
     url string      
    requireAllUserGroups boolean      
    userGroups array[object]      
     id string / guid      
     name string      
     url string      
   sortOrder integer      
   startDateTimeZone string      
   status string      
   url string      
   userId string / guid      
   userUrl string